Class
MotifFinder
Holds the algorithm parameter values and the motif instance(s) found by the appropriate motif discovery algorithm.

MotifFinder

EPatternBranching | Pms1 | Pmsp | Projection

MotifFinder<TValue, TSpec>
Include Headers
seqan/find_motif.h
Parameters

TSpec | The motif finding algorithm to search with. Types: EPatternBranching, EPatternBranching, Pms1, Pms1, Pmsp, Pmsp, Projection
TValue | The type of sequences to be analyzed. Metafunctions: Value Types: AminoAcid, Dna

Specializations

EPatternBranching | Represents the ePatternBranching algorithm of Davila and Rajasekaran.
Pms1 | Represents the Pms1 algorithm developed by Rajasekaran et al.
Pmsp | Represents the Pmsp algorithm of Davila et al.
Projection | Represents the PROJECTION algorithm of Buhler and Tompa.

Metafunctions

Value | Type of the items in the container.

Functions

displayResult | Displays all found motif candidates. In the case of the Projection Motif Finder the function displays the consensus pattern of the found motif candidate.
findMotif | Represents the main function which is used to start the search for noticeable motif patterns.
getMotif | Gets the motif out of a MotifFinder. If pos is given, the pos-th motif is returned, otherwise the first motif is returned.
motifCount | Gets number of motifs in the MotifFinder.

Example Programs
Motif Finder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45